Project

General

Profile

Bug #17522

unknown error when clicking on configure work/Compose launch template to duplicating with the existing name

Added by Yuyi Guo almost 3 years ago. Updated almost 3 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Target version:
Start date:
08/17/2017
Due date:
% Done:

100%

Estimated time:
1.00 h
Spent time:
First Occurred:
Scope:
Internal
Experiment:
-
Stakeholders:
Duration:

Description

An internal error occurred, data has been logged. Please report the occurrance to POMS administrators.
Traceback (most recent call last):
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/engine/base.py", line 1182, in _execute_context
context)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/engine/default.py", line 470, in do_execute
cursor.execute(statement, parameters)
psycopg2.IntegrityError: duplicate key value violates unique constraint "idx_launch_templates_experiment_name"
DETAIL: Key (experiment, name)=(samdev, A JoeTest ) already exists.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/cherrypy/_cprequest.py", line 670, in respond
response.body = self.handler()
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/cherrypy/lib/encoding.py", line 221, in call
self.body = self.oldhandler(args, **kwargs)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/cherrypy/_cpdispatch.py", line 60, in call
return self.callable(*self.args, **self.kwargs)
File "/cloud/login/yuyi/poms_venv/poms/poms/webservice/logit.py", line 18, in wrapper
return function(*args,
*kwargs)
File "/cloud/login/yuyi/poms_venv/poms/poms/webservice/poms_service.py", line 336, in launch_template_edit
data = self.campaignsPOMS.launch_template_edit(cherrypy.request.db, cherrypy.session.get, *args, **kwargs)
File "/cloud/login/yuyi/poms_venv/poms/poms/webservice/CampaignsPOMS.py", line 111, in launch_template_edit
"updater": experimenter_id
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/orm/scoping.py", line 157, in do
return getattr(self.registry(), name)(*args, **kwargs)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/orm/session.py", line 906, in commit
self.transaction.commit()
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/orm/session.py", line 461, in commit
self._prepare_impl()
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/orm/session.py", line 441, in _prepare_impl
self.session.flush()
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/orm/session.py", line 2171, in flush
self._flush(objects)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/orm/session.py", line 2291, in _flush
transaction.rollback(_capture_exception=True)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/util/langhelpers.py", line 66, in exit
compat.reraise(exc_type, exc_value, exc_tb)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/util/compat.py", line 187, in reraise
raise value
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/orm/session.py", line 2255, in _flush
flush_context.execute()
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/orm/unitofwork.py", line 389, in execute
rec.execute(self)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/orm/unitofwork.py", line 548, in execute
uow
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/orm/persistence.py", line 181, in save_obj
mapper, table, insert)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/orm/persistence.py", line 835, in _emit_insert_statements
execute(statement, params)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/engine/base.py", line 945, in execute
return meth(self, multiparams, params)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/sql/elements.py", line 263, in _execute_on_connection
return connection._execute_clauseelement(self, multiparams, params)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/engine/base.py", line 1053, in _execute_clauseelement
compiled_sql, distilled_params
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/engine/base.py", line 1189, in _execute_context
context)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/engine/base.py", line 1402, in _handle_dbapi_exception
exc_info
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/util/compat.py", line 203, in raise_from_cause
reraise(type(exception), exception, tb=exc_tb, cause=cause)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/util/compat.py", line 186, in reraise
raise value.with_traceback(tb)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/engine/base.py", line 1182, in _execute_context
context)
File "/cloud/login/yuyi/poms_venv/lib/python3.3/site-packages/sqlalchemy/engine/default.py", line 470, in do_execute
cursor.execute(statement, parameters)
sqlalchemy.exc.IntegrityError: (psycopg2.IntegrityError) duplicate key value violates unique constraint "idx_launch_templates_experiment_name"
DETAIL: Key (experiment, name)=(samdev, A JoeTest ) already exists.
[SQL: 'INSERT INTO launch_templates (name, experiment, launch_host, launch_account, launch_setup, creator, created, updater, updated) VALUES (%(name)s, %(experiment)s, %(launch_host)s, %(launch_account)s, %(launch_setup)s, %(creator)s, %(created)s, %(updater)s, %(updated)s) RETURNING launch_templates.launch_id'] [parameters: {'experiment': 'samdev', 'launch_account': 'boyd', 'updater': None, 'creator': '329', 'updated': None, 'created': datetime.datetime(2017, 8, 17, 14, 28, 25, 671649, tzinfo=), 'name': 'A JoeTest ', 'launch_setup': 'source /grid/fermiapp/products/common/etc/setups.sh; setup jobsub_client; setup poms_jobsub_wrapper; export POMS_CAMPAIGN_ID=96; voms-proxy-init -cer ... (4 characters truncated) ... private/osgBasicCA/usercert.pem -key ./private/osgBasicCA/userkey.pem -noregen -rfc -voms fermilab:/fermilab/nova/Role=Analysis; voms-proxy-info -all', 'launch_host': 'novagpvm01.fnal.gov'}]
Developers: the displayed stack trace can be stopped by setting dump = false in poms.ini. It will still appear in the log.

History

#1 Updated by Yuyi Guo almost 3 years ago

  • Assignee set to Yuyi Guo

#2 Updated by Yuyi Guo almost 3 years ago

  • Status changed from New to Resolved
  • % Done changed from 0 to 100
  • Estimated time set to 1.00 h

#3 Updated by Anna Mazzacane almost 3 years ago

  • Target version set to v2_2_0

#4 Updated by Anna Mazzacane almost 3 years ago

  • Status changed from Resolved to Closed


Also available in: Atom PDF